Interlaken
API referenceIdentity and accessRoles

Update a role

PUT
/api/v1/roles/{name}

Requires the roles:update permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/roles/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "builtin": true,  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "name": "string",  "permissions": [    "string"  ],  "tags": {    "property1": "string",    "property2": "string"  },  "updated_at": "2019-08-24T14:15:22Z"}